Bug 68183 - Soundblaster Audigy not supported
Soundblaster Audigy not supported
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-07 14:27 EDT by Michel Alexandre Salim
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 07:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2002-07-07 14:27:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
redhat-config-soundcard detects SB Audigy but does not know which kernel module 
to use

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Limbo on a PC with a SB Audigy soundcard
2. Try to configure sound under the first-time setup wizard
3. Try running redhat-config-soundcard from GNOME's System menu
	

Actual Results:  Trying to configure from the first-time setup wizard does not 
work; nothing happens when I click on the configure button. Running redhat-
config-soundcard manually, it identified the soundcard but could not suggest 
any kernel modules.

This is my friend's computer; he had the same soundcard configured properly 
under Mandrake previously - probably the emu10k1 module.

Expected Results:  Sound card configured properly, emu10k1 module loaded on 
start-up by /etc/init.d/sound

Additional info:
Comment 1 Bill Nottingham 2002-07-08 01:57:09 EDT
lspci output?
Comment 2 Michel Alexandre Salim 2002-07-08 14:36:56 EDT
This is the output of lspci -v for the main device entry; there are two other
entries, one for a FireWire OHCI port and one for the Gameport/MIDI.

lspci -v

00:08.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
.
Subsystem: Creative Labs: Unknown device 0053
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at d000 [size=32]
	Capabilities: [dc] Power Management version 2
Comment 3 Thomas Brenneke 2002-07-17 21:41:32 EDT
I've also noticed this in RH7.3 kernel's 2.4.18-3 2.4.18-4 and now 2.4.18-5.

The work around is to compile a kernel from source without the emu10k1 module. 
Afterwards use the audigy driver found at sourceforge.  I'm currently using
2.4.18-4-athlon successfully with the audigy following this method.
Comment 4 Arjan van de Ven 2002-08-13 07:47:39 EDT
Audigy driver added as extra driver for the next build
Comment 5 Jay Turner 2002-08-21 16:36:42 EDT
audigy drivers are now present with kernel-2.4.18-12.3.

Note You need to log in before you can comment on or make changes to this bug.